Bug 470915 - (CVE-2008-5031) CVE-2008-5031 python: stringobject, unicodeobject integer overflows
CVE-2008-5031 python: stringobject, unicodeobject integer overflows
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=internet,reported=20081019,pub...
: Security
Depends On: 486114 486329 486330 486351 486352 537915
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 15:49 EST by Jan Lieskovsky
Modified: 2016-03-04 06:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 531760 (view as bug list)
Environment:
Last Closed: 2013-04-03 22:03:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-11-10 15:49:17 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5031 to
the following vulnerability:

Multiple integer overflows in Python 2.5.2 allow context-dependent
attackers to have an unknown impact via a large integer value in the
tabsize argument to the expandtabs method, as implemented by (1) the
string_expandtabs function in Objects/stringobject.c and (2) the
unicode_expandtabs function in Objects/unicodeobject.c.  NOTE: this
vulnerability reportedly exists because of an incomplete fix for
CVE-2008-2315.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-5031
http://www.openwall.com/lists/oss-security/2008/11/05/2
http://www.openwall.com/lists/oss-security/2008/11/05/3
http://scary.beasts.org/security/CESA-2008-008.html
http://svn.python.org/view/python/trunk/Objects/unicodeobject.c?rev=61350&view=diff&r1=61350&r2=61349&p1=python/trunk/Objects/unicodeobject.c&p2=/python/trunk/Objects/unicodeobject.c
http://svn.python.org/view/python/trunk/Objects/stringobject.c?rev=61350&view=diff&r1=61350&r2=61349&p1=python/trunk/Objects/stringobject.c&p2=/python/trunk/Objects/stringobject.c

Patch against trunk:
http://svn.python.org/view?rev=61350&view=rev

Patch against release25-maint:
http://svn.python.org/view?rev=61349&view=rev

Reproducer:
http://scary.beasts.org/security/CESA-2008-008.html
(part "Integer overflow in string expandtabs operation")
Comment 1 Jan Lieskovsky 2008-11-10 15:51:00 EST
Other reproducers demonstrating this flaw:

* string poc:
s = 'AA\t\n\tAAAAAAAA'
len(s.expandtabs(0x7ffffffe))

* unicode poc:
s = u'AA\t\n\tAAAAAAAA'
len(s.expandtabs(0x7ffffffe))
Comment 2 Jan Lieskovsky 2008-11-10 15:52:54 EST
Affected python versions:  2.2.3 <= x <= 2.5.2

This issue affects all versions of the python package, as shipped with
Red Hat Enterprise Linux 3, 4 and 5.

This issue affects all versions of the python package, as shipped with
Fedora releases of 8, 9 and 10.
Comment 8 errata-xmlrpc 2009-07-27 05:23:23 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1176 https://rhn.redhat.com/errata/RHSA-2009-1176.html
Comment 9 errata-xmlrpc 2009-07-27 05:35:47 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1177 https://rhn.redhat.com/errata/RHSA-2009-1177.html
Comment 10 errata-xmlrpc 2009-07-27 05:37:41 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1178 https://rhn.redhat.com/errata/RHSA-2009-1178.html
Comment 11 Jonathan Steffan 2009-09-07 17:55:54 EDT
To address this issue in the F-10 branch, should I be updating to 2.5.4 which has addressed this CVE?
Comment 13 Vincent Danen 2013-04-03 22:03:26 EDT
Statement:

(none)

Note You need to log in before you can comment on or make changes to this bug.